Skip to navigation

Attach a file to a lead

View as Markdown

Attach an already-uploaded file to a lead. First upload the file to S3 using the Files API, then pass the resulting download url here along with its filename and content_type.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Request

This endpoint expects an object.
content_typestringRequired1-255 characters
filenamestringRequired1-1024 characters
urlstringRequired>=1 character

Response

Successful response
checksumstring
content_typestring
date_createddatetime
date_updateddatetime
download_urlstring
idstring
is_pinnedboolean
last_activity_atdatetime
last_object_idstring
last_object_typestring
lead_idstring
namestring
organization_idstring
sizeinteger
thumbnail_urlstring or null
updated_bystring or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error